package com.ruoyi.warehouse.service;

import java.util.List;
import com.ruoyi.warehouse.domain.ProductInfo;

public interface IProductInfoService
{
    public List<ProductInfo> selectProductInfoList(ProductInfo productInfo);
    public List<ProductInfo> selectProductInfoAll();
    public ProductInfo selectProductInfoById(Long id);
    public boolean checkProductCodeUnique(ProductInfo productInfo);
    public String inferProductCategory(ProductInfo productInfo);
    public int insertProductInfo(ProductInfo productInfo);
    public int updateProductInfo(ProductInfo productInfo);
    public int deleteProductInfoByIds(Long[] ids);
}
